## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMeshType Class Reference

This is the abstract implementation of iMeshObjectType. More...

`#include <cstool/meshobjtmpl.h>`

Inheritance diagram for csMeshType:

[legend]
List of all members.

## Public Member Functions

| csMeshType (iBase *p)
| constructor
bool | Initialize (iObjectRegistry *reg)
| Initialize this plugin.
virtual csPtr< iMeshObjectFactory > | NewFactory ()=0
| See imesh/object.h for specification.
virtual | ~csMeshType ()
| destructor

## Protected Attributes

iEngine * | Engine
| pointer to the engine if available (@@ temporary)
iObjectRegistry * | object_reg
| Object registry.

## Detailed Description

This is the abstract implementation of iMeshObjectType.

Definition at line 340 of file meshobjtmpl.h.

## Constructor & Destructor Documentation

csMeshType::csMeshType | ( | iBase * | p | ) |

| constructor

virtual csMeshType::~csMeshType | ( |  | ) | `[virtual]`

| destructor

## Member Function Documentation

bool csMeshType::Initialize | ( | iObjectRegistry * | reg | ) | `[virtual]`

| Initialize this plugin. Implements iComponent.

virtual csPtr<iMeshObjectFactory> csMeshType::NewFactory | ( |  | ) | `[pure virtual]`

| See imesh/object.h for specification. There is no default implementation for this method. Implements iMeshObjectType.

## Member Data Documentation

iEngine* csMeshType::Engine `[protected]`

| pointer to the engine if available (@@ temporary) Definition at line 345 of file meshobjtmpl.h.

iObjectRegistry* csMeshType::object_reg `[protected]`

| Object registry. Definition at line 348 of file meshobjtmpl.h.

The documentation for this class was generated from the following file:

- cstool/meshobjtmpl.h